# Backend API

also known as `public`

## What is this?

This is a RESTful API service. Most of the data retrival, requesting, and processing happens here.

## Things you should know

### Environment variables

`public` uses a `.env` file at the root of the project. The file takes standard environment variables (like enviroment variables you would put into a `.bashrc` or ad-hoc into your shell).

For `public` to work properly, please make sure to first create the `.env` file, then fill out the following environment variables:

- `RUST_ENV` - needed for letting the service that we are working in either `development` or `production`
- `DATABASE_URL` - needed for connecting to Postgres
- `REDIS_URL` - needed for connecting to the cache (Redis or Valkey)
- `BASE_URI_WEB` - needed for connecting to the frontend user interface of the system to this service
