use serde::{Deserialize, Serialize};

#[derive(Deserialize, Serialize)]
pub struct PaginationQuery {
    pub page: Option<i64>,
    pub limit: Option<i64>,
}

#[derive(Deserialize, Serialize)]
pub struct Pagination {
    pub page: i64,
    pub limit: i64,
}
