import { Post } from "../types/index.ts";

export const PostBody = function PostBody({ post }: PostBodyOpts) {
  return (
    <div class="mx-auto max-w-4xl p-4 bg-[#313244]">
      <div
        class="p-6 bg-[#45475a] shadow-md rounded-lg text-[#f5e0dc] post-content overflow-hidden break-words hyphens-auto max-w-full
              [&>*]:max-w-5xl [&>*]:overflow-wrap-anywhere"
        dangerouslySetInnerHTML={{ __html: post.body }}
      ></div>
    </div>
  );
};

export type PostBodyOpts = {
  post: Post;
};
