export const ShareLinkButton = function ShareLinkButton({ props }) {
  const [text, setText] = useState("Share");

  const onClickHandler = () => {
    navigator.clipboard.writeText(location.href);
    setText("Copied to clipboard!");
    setTimeout(() => {
      setText("Share");
    }, 1000);
  };

  return <button onClick={onClickHandler}>{text}</button>;
};
